com.avaya.ccs.api

## Interface PhoneListEntryI

-     public interface PhoneListEntryI

  The `PhoneListEntryI` object represents a phone entry administered for a customer associated an `InteractionI`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAreaCode()`
    `java.lang.String` | `getCountryCode()`
    `boolean` | `getDoNotCall()` Gets the 'Do Not Call' status of this number as configured in AACC
    `void` | `getDoNotCall(boolean doNotCall)`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getPhoneNumber()`
    `java.lang.String` | `getTimezone()`
    `boolean` | `isDefault()`
    `void` | `setCountryCode(java.lang.String countryCode)` Allows the `UserI` processing an `InteractionI` to modify the country code administered for the customer's phone entry
    `void` | `setDefault(boolean setDefault)` Allows the `UserI` processing an `InteractionI` to specify this as the default phone number for the customer.
    `void` | `setPhoneNumber(java.lang.String phoneNumber)` Allows the `UserI` processing an `InteractionI` to modify the phone number administered for the customer's phone entry
    `void` | `setTimezone(java.lang.String timezone)` Allows the `UserI` processing an `InteractionI` to modify the timezone administered for the customer's phone entry

- - ### Method Detail

    - #### getId

          java.lang.String getId()

      Returns:
        the unique id for the phone entry on the POM server

    - #### getCountryCode

          java.lang.String getCountryCode()

      Returns:
        the country code associated with this phone entry

    - #### getAreaCode

          java.lang.String getAreaCode()

      Returns:
        the area code associated with this phone entry

    - #### getPhoneNumber

          java.lang.String getPhoneNumber()

      Returns:
        the phone number associated with this phone entry

    - #### getTimezone

          java.lang.String getTimezone()

      Returns:
        a string representation of the timezone adminsistered for this phone

    - #### isDefault

          boolean isDefault()

      Returns:
        true if this is the default phone number as configured in AACC; false otherwise

    - #### getDoNotCall

          boolean getDoNotCall()

      Gets the 'Do Not Call' status of this number as configured in AACC
      Returns:
        true if this call is marked as 'do not call'; false otherwise

    - #### setCountryCode

          void setCountryCode(java.lang.String countryCode)

      Allows the `UserI` processing an `InteractionI` to modify the country code administered for the customer's phone entry
      Parameters:
        `countryCode` - country code to update the entry with

    - #### setPhoneNumber

          void setPhoneNumber(java.lang.String phoneNumber)

      Allows the `UserI` processing an `InteractionI` to modify the phone number administered for the customer's phone entry
      Parameters:
        `phoneNumber` - number to update the entry with

    - #### setTimezone

          void setTimezone(java.lang.String timezone)

      Allows the `UserI` processing an `InteractionI` to modify the timezone administered for the customer's phone entry
      Parameters:
        `timezone` - timezone to update the entry with

    - #### setDefault

          void setDefault(boolean setDefault)

      Allows the `UserI` processing an `InteractionI` to specify this as the default phone number for the customer.
      Parameters:
        `setDefault` - true/false

    - #### getDoNotCall

          void getDoNotCall(boolean doNotCall)